Subject: Bug#787020: More information

From: Lars Hanke <[email-masked]>
Date: Tue, 02 Jun 2015 00:58:06 +0200

I tried to mitigate the bug by adding the following to /etc/rc.local:

if [ ! -f /var/run/nslcd/nslcd.tkt ]; then
    systemctl restart nslcd
    systemctl restart kdm
fi

When I run this script as root after log in everything runs fine. I get 
a valid ticket nslcd:nslcd 600 /var/run/nslcd/nslcd.tkt.

The boot up sequence however produces a total of two files called 
/var/run/nslcd/nslcd.tkt_######, with the hashes representing some 
random characters. These files are empty, root:root 600. If I omit the 
rc. local entry I just get one of these. Of course none without the 
random extension.

I suspected a permission issue. But changing /etc/krb5.keytab to 644 
didn't change the situation. /etc/krb5.conf ist 644 anyway.